Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.types
Interface ExtendedType

All Known Implementing Classes:
  AbstractType, BooleanType, ByteArrayType, ByteType, CharType, DefaultType, EnumType, OracleUtilDateType, ShortType, UtilDateType

    public interface ExtendedType

Defines methods to read Java objects from JDBC ResultSets and write as parameters of PreparedStatements.

Author:
  Andrei Adamchik

Method Summary
`java.lang.String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
`java.lang.Object` | `materializeObject(java.sql.CallableStatement rs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
`java.lang.Object` | `materializeObject(java.sql.ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
`void` | `setJdbcObject(java.sql.PreparedStatement statement, java.lang.Object value, int pos, int type, int precision)` Initializes a single parameter of a PreparedStatement with object value.
`boolean` | `validateProperty(java.lang.Object source, java.lang.String property, java.lang.Object value, DbAttribute dbAttribute, ValidationResult validationResult)` Performs validation of an object property.

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns a full name of Java class that this ExtendedType supports.

### validateProperty

    boolean validateProperty(java.lang.Object source,
                             java.lang.String property,
                             java.lang.Object value,
                             DbAttribute dbAttribute,
                             ValidationResult validationResult)

  Performs validation of an object property. Property is considered valid if this it satisfies the database constraints known to this ExtendedType. In case of validation failure, failures are appended to the ValidationResult object and `false` is returned.

  Since:
    1.1

### setJdbcObject

    void setJdbcObject(java.sql.PreparedStatement statement,
                       java.lang.Object value,
                       int pos,
                       int type,
                       int precision)
                       throws java.lang.Exception

  Initializes a single parameter of a PreparedStatement with object value.

  Throws:
    `java.lang.Exception`

### materializeObject

    java.lang.Object materializeObject(java.sql.ResultSet rs,
                                       int index,
                                       int type)
                                       throws java.lang.Exception

  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

  Throws:
    `java.lang.Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### materializeObject

    java.lang.Object materializeObject(java.sql.CallableStatement rs,
                                       int index,
                                       int type)
                                       throws java.lang.Exception

  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.

  Throws:
    `java.lang.Exception` - if read error ocurred, or an object can't be converted to a target Java class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.